LightWayTxtGraph Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
LightWayTxtGraph Class Reference

the main class to read the graphic part of a LightWay Text file More...

`#include <LightWayTxtGraph.hxx>`

## Public Member Functions
| LightWayTxtGraph (LightWayTxtParser &parser)
| constructor More...
virtual | ~LightWayTxtGraph ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions
bool | createZones ()
| finds the different graphic zones More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | sendPageGraphics ()
| try to send the page graphic More...
void | send (int id)
| try to send a graph More...
bool | sendJPEG (MWAWEntry const &entry)
| try to send a JPEG resource More...
bool | sendPICT (MWAWEntry const &entry)
| try to send a PICT resource More...

## Static Protected Member Functions
static bool | findJPEGSize (librevenge::RVNGBinaryData const &data, Vec2i &sz)
| try to find a JPEG size More...

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< LightWayTxtGraphInternal::State > | m_state
| the state More...
LightWayTxtParser * | m_mainParser
| the main parser; More...

## Private Member Functions
| LightWayTxtGraph (LightWayTxtGraph const &orig)
LightWayTxtGraph & | operator= (LightWayTxtGraph const &orig)

## Friends
class | LightWayTxtParser

## Detailed Description

the main class to read the graphic part of a LightWay Text file

## Constructor & Destructor Documentation

LightWayTxtGraph::LightWayTxtGraph | ( | LightWayTxtParser & | parser | ) |

constructor

LightWayTxtGraph::~LightWayTxtGraph | ( |  | ) |
| virtual

destructor

LightWayTxtGraph::LightWayTxtGraph | ( | LightWayTxtGraph const & | orig | ) |
| private

## Member Function Documentation

bool LightWayTxtGraph::createZones | ( |  | ) |
| protected

finds the different graphic zones

bool LightWayTxtGraph::findJPEGSize | ( | librevenge::RVNGBinaryData const & | data,
|  | Vec2i & | sz
| ) |  |
| staticprotected

try to find a JPEG size

Referenced by sendJPEG().

void LightWayTxtGraph::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

int LightWayTxtGraph::numPages | ( |  | ) | const

returns the number of pages

LightWayTxtGraph& LightWayTxtGraph::operator= | ( | LightWayTxtGraph const & | orig | ) |
| private

void LightWayTxtGraph::send | ( | int | id | ) |
| protected

try to send a graph

bool LightWayTxtGraph::sendJPEG | ( | MWAWEntry const & | entry | ) |
| protected

try to send a JPEG resource

Referenced by flushExtra(), and send().

bool LightWayTxtGraph::sendPageGraphics | ( |  | ) |
| protected

try to send the page graphic

bool LightWayTxtGraph::sendPICT | ( | MWAWEntry const & | entry | ) |
| protected

try to send a PICT resource

Referenced by flushExtra(), and send().

int LightWayTxtGraph::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class LightWayTxtParser
| friend

## Member Data Documentation

LightWayTxtParser* LightWayTxtGraph::m_mainParser
| protected

the main parser;

Referenced by createZones(), sendJPEG(), and sendPICT().

MWAWParserStatePtr LightWayTxtGraph::m_parserState
| protected

the parser state

Referenced by sendJPEG(), sendPICT(), and version().

shared_ptr<LightWayTxtGraphInternal::State> LightWayTxtGraph::m_state
| protected

the state

Referenced by createZones(), flushExtra(), numPages(), and send().

The documentation for this class was generated from the following files:

- LightWayTxtGraph.hxx
- LightWayTxtGraph.cxx